Get Template Files as File Url

View as Markdown

Obtain a copy of the current documents specified by the template_id parameter. Returns a JSON object with a url to the file (PDFs only).

If the files are currently being prepared, a status code of 409 will be returned instead. In this case please wait for the template_created callback event.

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Path parameters

template_idstringRequired
The id of the template files to retrieve.

Query parameters

force_downloadintegerOptionalDefaults to 1

By default when opening the file_url a browser will download the PDF and save it locally. When set to 0 the PDF file will be displayed in the browser.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
file_urlstring
URL to the file.
expires_atinteger
When the link expires.

Errors

4XX
Client Request Error